import 'package:domain/entity/response/index_option_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/contract_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/contract_detail_entity.g.dart';

@JsonSerializable()
class ContractDetailEntity {
	ContractDetailRow? row;
	@JSONField(name: "agency_list")
	List<IndexOptionEntity> agencyList = [];

	ContractDetailEntity();

	factory ContractDetailEntity.fromJson(Map<String, dynamic> json) => $ContractDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $ContractDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class ContractDetailRow {
	String? id;
	@JSONField(name: "employer_id")
	String? employerId;
	@JSONField(name: "agency_id")
	String? agencyId;
	@JSONField(name: "start_date")
	String? startDate;
	@JSONField(name: "end_date")
	String? endDate;
	String? file;
	int? status;
	@JSONField(name: "created_at")
	String? createdAt;
	@JSONField(name: "updated_at")
	String? updatedAt;
	@JSONField(name: "deleted_at")
	String? deletedAt;

	ContractDetailRow();

	factory ContractDetailRow.fromJson(Map<String, dynamic> json) => $ContractDetailRowFromJson(json);

	Map<String, dynamic> toJson() => $ContractDetailRowToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

